libkate 0.4.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Fields

Data Fields
kate_state Struct Reference

`#include <kate.h>`

## Data Fields
kate_const kate_info * | ki

## Detailed Description

top level information about a Kate bitstream

Examples:
  decoding.c, encoding.c, and high.c.

## Field Documentation

kate_const kate_info* kate_state::ki

the kate_info associated with this state

Referenced by kate_decode_init(), kate_decode_packetin(), kate_encode_add_bitmap_index(), kate_encode_add_motion_index(), kate_encode_finish(), kate_encode_finish_raw_times(), kate_encode_init(), kate_encode_keepalive(), kate_encode_keepalive_raw_times(), kate_encode_repeat(), kate_encode_repeat_raw_times(), kate_encode_set_bitmap(), kate_encode_set_bitmap_index(), kate_encode_set_font_mapping_index(), kate_encode_set_palette(), kate_encode_set_palette_index(), kate_encode_set_region(), kate_encode_set_region_index(), kate_encode_set_secondary_style(), kate_encode_set_secondary_style_index(), kate_encode_set_style(), kate_encode_set_style_index(), kate_encode_text(), kate_encode_text_raw_times(), and kate_high_decode_init().

The documentation for this struct was generated from the following file:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_libkate/libkate-0.4.1/include/kate/kate.h